petsc-3.7.7 2017-09-25
Report Typos and Errors

# TSConvergedReason

reason a TS method has converged or not

### Synopsis

    typedef enum {
      TS_CONVERGED_ITERATING      = 0,
      TS_CONVERGED_TIME           = 1,
      TS_CONVERGED_ITS            = 2,
      TS_CONVERGED_USER           = 3,
      TS_CONVERGED_EVENT          = 4,
      TS_CONVERGED_PSEUDO_FATOL   = 5,
      TS_CONVERGED_PSEUDO_FRTOL   = 6,
      TS_DIVERGED_NONLINEAR_SOLVE = -1,
      TS_DIVERGED_STEP_REJECTED   = -2
    } TSConvergedReason;

Developer Notes: this must match petsc/finclude/petscts.h

Each reason has its own manual page.

### See Also

TSGetConvergedReason()

Level:beginner
Location:src/ts/../../include/petscts.h
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages